AnyEvent::FTP::Client::Site::Proftpd(3pm)

NAME
AnyEvent::FTP::Client::Site::Proftpd - Site specific commands for Proftpd

VERSION
version 0.20

SYNOPSIS
 use AnyEvent::FTP::Client;
 my $client = AnyEvent::FTP::Client->new;
 $client->connect('ftp://proftpdserver')->cb(sub {
   $client->site->proftpd->symlink('foo', 'bar');
 });

DESCRIPTION
This class implements site specific commands for the Proftpd server. The implementation may be incomplete, and the documentation definitely is. Patches are welcome to fix this.

METHODS

  utime
 $client->site->proftpd->utime( $arg1, $arg2 );

Execute "SITE UTIME" command.

  mkdir
 $client->site->proftpd->mkdir( $arg1 );

Execute "SITE MKDIR" command.

  rmdir
 $client->site->proftpd->rmdir( $arg1 );

Execute "SITE RMDIR" command.

  symlink
 $client->site->proftpd->symlink( $arg1, $arg2 );

Execute "SITE SYMLINK" command.

  ratio
 $client->site->proftpd->ratio;

Execute "SITE RATIO" command.

  help
 $client->site->proftpd->help( $arg1 );

Execute "SITE HELP" command.

  chgrp
 $client->site->proftpd->chgrp( $arg1, $arg2 );

Execute "SITE CHGRP" command.

  chmodk
 $client->site->proftpd->chmodk( $arg1, $arg2 );

Execute "SITE CHMOD" command.

AUTHOR
Author: Graham Ollis <plicease@cpan.org>

Contributors:

Ryo Okamoto

Shlomi Fish

José Joaquín Atria

COPYRIGHT AND LICENSE
This software is copyright (c) 2017-2022 by Graham Ollis.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.